@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';




$oms-widget-atpformula-header--color: $black__blueish--100;
$oms-widget-atpformula-label--color: $black__blueish--100;
$oms-widget-atpformula-table--border: 1px solid $grey__default--300;
$oms-widget-atpformula-disabled-label--color: $grey__default--600;

$oms-widget-atpformula-gutter: 2*$container-spacing-default__third;
$oms-widget-atpformula--font-size: 16px;
$oms-widget-atpformula--row-height: 30px;
$oms-widget-atpformulas-variables__cancel--height: 40px;
$oms-widget-atpformulas-row-3rd-child--padding-left: 22px; 
$oms-widget-atpformulas-header-actions--width: 85px;
$oms-widget-atpformulas-variables--width: 100%;
$oms-widget-atpformulas-variables--margin-side: 2px;
$oms-widget-atpformulas-btn-image-add: url("images/icon_action_add.png");
$oms-widget-atpformulas-btn-image-remove: url("images/icon_action_remove.png");
$oms-widget-atpformulas-btn-image-sub: url("images/icon_action_sub.png");
$oms-widget-atpformulas-btn-image--width: 30px;
$oms-widget-atpformulas-btn-image--height: 40px;
$atpformulas-availability--description--color: $grey__default--900;

.oms-widget-atpformula-table{
    padding-right: $oms-widget-atpformula-gutter;
}

.atpformulas-header {
    margin-bottom: .25*$oms-widget-atpformula-gutter;
    display: flex;
    justify-content: space-between;
}

.atpformulas-row > div:nth-child(3) {
   padding-left: $oms-widget-atpformulas-row-3rd-child--padding-left;
}

.atpformulabuilderheaderactions > span,
.atpformulabuilderheadervariables > span {
    font-size: $oms-widget-atpformula--font-size;
    font-weight: bold;
    height: $oms-widget-atpformula--row-height;
    display: flex;
    align-items: center;
    padding-right: .5*$oms-widget-atpformula-gutter;
    color: $oms-widget-atpformula-header--color;
}

.oms-widget-atpformula-table .z-vlayout-inner:nth-child(2) .atpformulas-row{
    border-top: $oms-widget-atpformula-table--border;
}

.yw-editorarea-tabbox-tabpanels-tabpanel-groupbox-ed .atpformulas-row {
    border-bottom: $oms-widget-atpformula-table--border;

    div {
        &.addvariableatpformula,
        &.subvariableatpformula { 
            background-repeat: no-repeat;
            background-position: center;
            background-color: transparent;
        }
    }
  
    div {
        &.addvariableatpformula {
            background-image: $oms-widget-atpformulas-btn-image-add;
            width: $oms-widget-atpformulas-btn-image--width;
            height: $oms-widget-atpformulas-btn-image--height;
        }
    
        &.subvariableatpformula {
            background-image: $oms-widget-atpformulas-btn-image-sub;
            width: $oms-widget-atpformulas-btn-image--width;
            height: $oms-widget-atpformulas-btn-image--height;
       }
    }

    div.clearvariableatpformula {
        background-image: $oms-widget-atpformulas-btn-image-remove;
        background-repeat: no-repeat;
        background-position: center;
        background-color: transparent;
        height: 36px;
        width: 36px;
        &:hover{
            cursor: pointer;
        }
    }

    .atpformulas-variables, .atpformulas-variables__cancel {
        height: $oms-widget-atpformulas-variables__cancel--height;
        display: flex;
        align-items: center;
        width: $oms-widget-atpformulas-variables--width;
        margin-bottom: 0;
    }
    
    > div {
        &:first-child, &:nth-child(2), &:nth-child(3) {
            float: left;
        }
        &:last-child {
            float: right;
        }
        &:first-child, &:nth-child(2), &:last-child {
            margin-top: $oms-widget-atpformulas-variables--margin-side;
            margin-bottom: $oms-widget-atpformulas-variables--margin-side;
        }
    }
}

.atpformulas-variables__cancel{
    color: $oms-widget-atpformula-label--color;
}

.atpformulas-variables{
    color: $oms-widget-atpformula-disabled-label--color;
}

.atpformulas-row .ye-default-reference-editor-remove-button.ye-default_remove_formula {
    position: initial;
    display: inline-block;
    margin-top: 0px;
}

.atpformulas-availability{
    display: none;
}

.atpformulas-availability--bold{
    font-weight: bold;
}

.atpformulas-variables .z-hlayout-inner .z-label{
    margin-bottom: 0;
}

.atpformulas-variables .z-hlayout-inner .atpformulas-availability--description{
    color: $atpformulas-availability--description--color;
}